ICM_HASH_Type Union Reference

## Data Fields

struct {
uint32_t __pad0__:7
uint32_t HASA:25
} | bit
uint32_t | reg

## Detailed Description

Definition at line 380 of file icm.h.

## Field Documentation

## __pad0__

uint32_t ICM_HASH_Type::__pad0__

bit: 0.. 6 Reserved

Definition at line 382 of file icm.h.

## bit

struct { ... } ICM_HASH_Type::bit

Structure used for bit access

## HASA

uint32_t ICM_HASH_Type::HASA

bit: 7..31 Hash Area Start Address

Definition at line 383 of file icm.h.

## reg

uint32_t ICM_HASH_Type::reg

Type used for register access

Definition at line 385 of file icm.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/icm.h